%define upstream_name    String-Compare-ConstantTime
%define upstream_version 0.311

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Timing side-channel protected string compare
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module provides one function, 'equals' (not exported by default).

You should pass this function two strings of the same length. It will
return true if they are string-wise identical and false otherwise, just
like 'eq'. However, comparing any two differing strings will take a fixed
amount of time, unlike 'eq'.

*NOTE*: If the lengths of the strings are different, 'equals' will return
false right away. Also, comparing two identical strings will take a
different amount of time than comparing two differing strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.311.0-2.mga6
+ Revision: 1033352
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.311.0-1.mga6
+ Revision: 1002297
- update to 0.311

* Fri Feb 12 2016 umeabot <umeabot> 0.310.0-3.mga6
+ Revision: 958005
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.310.0-2.mga6
+ Revision: 845293
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.310.0-1.mga6
+ Revision: 841639
- update to 0.310

* Sat Oct 18 2014 umeabot <umeabot> 0.300.0-8.mga5
+ Revision: 787890
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-7.mga5
+ Revision: 747788
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-6.mga5
+ Revision: 686238
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.300.0-5.mga5
+ Revision: 631678
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.300.0-4.mga4
+ Revision: 524512
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.300.0-3.mga4
+ Revision: 430960
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 372781
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 304311
- imported package perl-String-Compare-ConstantTime


* Wed Oct 10 2012 cpan2dist 0.300-1mga
- initial mageia release, generated with cpan2dist
